# Enum Class GzipCodec.Format

java.lang.Object
java.lang.Enum<GzipCodec.Format>
htsjdk.samtools.util.GzipCodec.Format

All Implemented Interfaces:
  `Serializable, Comparable<GzipCodec.Format>, Constable`

Enclosing class:
  `GzipCodec`

public static enum GzipCodec.Format extends Enum<GzipCodec.Format>
The output format for compression.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BGZF`
`GZIP`

## Method Summary

Modifier and Type
Method
Description
`static GzipCodec.Format`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GzipCodec.Format[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GZIP

public static final GzipCodec.Format GZIP

### BGZF

public static final GzipCodec.Format BGZF

## Method Details

### values

public static GzipCodec.Format[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GzipCodec.Format valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null